%global __requires_exclude devel\\\(libnss3.*\\\)|devel\\\(libnspr4.*\\\)|devel\\\(libsmime3.*\\\)

# (ovitters) disable --no-undefined as per upstream advice
#   https://bugzilla.gnome.org/show_bug.cgi?id=732177#c4
#
#   The problem isn't -Wl,--as-needed, it's -Wl,--no-undefined. You aren't going to
#   be able to build libnm-wwan.la with that flag, because it depends on symbols in
#   the NM binary. (libnm-wwan is a library which is shared between the wwan and bt
#   modules. So it's not actually a module itself, but it's expected that it has
#   unresolved symbols.)
%define _disable_ld_no_undefined 1

%global ppp_ver	%(rpm -q --queryformat "%{VERSION}" ppp)

%define major_glib		4
%define libnm_glib		%mklibname nm-glib %{major_glib}
%define libnm_glib_devel	%mklibname -d nm-glib

%define major_glib_vpn		1
%define libnm_glib_vpn		%mklibname nm-glib-vpn %{major_glib_vpn}
%define libnm_glib_vpn_devel	%mklibname -d nm-glib-vpn

%define major_nm		0
%define libnm			%mklibname nm %{major_nm}
%define libnm_devel		%mklibname -d nm

%define major_util		2
%define libnm_util		%mklibname nm-util %{major_util}
%define libnm_util_devel	%mklibname -d nm-util

%define gimajor_nmclient	1.0
%define nmclient_gi		%mklibname nmclient-gir %{gimajor_nmclient}

%define gimajor_nm              1.0
%define nm_gi			%mklibname nm-gir %{gimajor_nm}

%define gimajor_networkmanager	1.0
%define networkmanager_gi	%mklibname networkmanager-gir %{gimajor_networkmanager}

%define url_ver %(echo %{version} | cut -d "." -f -2)

%define	rname	NetworkManager

Name:		networkmanager
Summary:	Network connection manager and user applications
Version:	1.8.6
Release:	%mkrel 1
Group:		System/Base
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/%{rname}/%{url_ver}/%{rname}-%{version}.tar.xz
Source1:	README.urpmi
Source3:	nm-poke-nscd
# Upstream patches
Patch001:	0001-dhcp-trivial-rename-local-variables.patch
Patch002:	0002-dhcp-reuse-string-buffer-in-lease_to_ip4_config.patch
Patch003:	0003-dhcp-systemd-add-support-for-DHCPv4-domain-search-li.patch
Patch004:	0001-shared-add-nm_gstring_prepare-util.patch
# Mageia patches
# (blino) took discover_mac_address() from ifcfg-mdv, modified to read device name
Patch100:	NetworkManager-1.6.0-discover-mac-address.patch
# (blino) took ifcfg_mdv_parse_ssid() from ifcfg-mdv to read WIRELESS_ESSID, but kept ESSID as fallback
Patch101:	NetworkManager-1.6.0-mga-wireless_essid.patch
# (wally) needed with P1-4
Patch102:	0001-Add-support-for-DHCP-search-domain-list.patch
BuildRequires:	pkgconfig(audit)
BuildRequires:	libnl3-devel
BuildRequires:	wpa_supplicant
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(nss)
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	ppp-devel
BuildRequires:	polkit-1-devel
BuildRequires:	pkgconfig(libndp)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	readline-devel
#BuildRequires:	dhcp-client
BuildRequires:	iptables
BuildRequires:	gobject-introspection-devel >= 0.10.3
BuildRequires:	python-gi
# (bor) for systemd support, pkg-config; move to systemd?
BuildRequires:	systemd-units
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(vapigen)
# connection check:
BuildRequires:	pkgconfig(libcurl) >= 7.24.0
# Bluez5 DUN support:
BuildRequires:	pkgconfig(bluez) >= 5
# For nmtui
BuildRequires:	pkgconfig(libnewt) >= 0.52.15
# libteam
BuildRequires:	pkgconfig(libteamdctl) >= 1.9
# dnsmasq
BuildRequires:	dnsmasq
Requires:	iproute2
Requires:	iptables
Requires:	networkmanager-wifi
Recommends:	networkmanager-wwan
Recommends:	networkmanager-team
Recommends:	networkmanager-adsl
Recommends:	networkmanager-bluetooth
Recommends:	networkmanager-ppp
Recommends:	networkmanager-l2tp
Recommends:	networkmanager-openconnect
Recommends:	networkmanager-libreswan
Recommends:	networkmanager-openvpn
Recommends:	networkmanager-pptp
Recommends:	networkmanager-vpnc
Recommends:	networkmanager-tui
Provides:	NetworkManager = %{version}-%{release}
Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
NetworkManager is a system service that manages network interfaces and
connections based on user or automatic configuration. It supports Ethernet,
Bridge, Bond, VLAN, Team, InfiniBand, Wi-Fi, mobile broadband (WWAN), PPPoE and
other devices, and supports a variety of different VPN services.

%package adsl
Summary:	ADSL device plugin for NetworkManager
Group:		System/Base
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 1.6.2-2

%description adsl
This package contains NetworkManager support for ADSL devices.

%package bluetooth
Summary:	Bluetooth device plugin for NetworkManager
Group:		System/Base
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-wwan = %{version}-%{release}
Requires:	bluez >= 5
Conflicts:	%{name} < 1.6.2-2

%description bluetooth
This package contains NetworkManager support for Bluetooth devices.

%package team
Summary:	Team device plugin for NetworkManager
Group:		System/Base
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 1.6.2-2

%description team
This package contains NetworkManager support for team devices.

%package wifi
Summary:	Wifi plugin for NetworkManager
Group:		System/Base
Requires:	%{name} = %{version}-%{release}
Requires:	wpa_supplicant
Requires:	wireless-tools
Conflicts:	%{name} < 1.6.2-2

%description wifi
This package contains NetworkManager support for Wifi and OLPC devices.

%package wwan
Summary:	Mobile broadband device plugin for NetworkManager
Group:		System/Base
Requires:	%{name} = %{version}-%{release}
Requires:	modemmanager
Conflicts:	%{name} < 1.6.2-2

%description wwan
This package contains NetworkManager support for mobile broadband (WWAN)
devices.

%package ppp
Summary:	PPP plugin for NetworkManager
Group:		System/Base
Requires:	%{name} = %{version}-%{release}
Requires:	ppp = %{ppp_ver}
Conflicts:	%{name} < 1.6.2-2

%description ppp
This package contains NetworkManager support for PPP.

%package	tui
Summary:	Text User Interface for NetworkManager based on curses
Group:		System/Base
Conflicts:	%{name} < 1.6.2-2

%description	tui
This adds a curses-based "TUI" (Text User Interface) to NetworkManager, to
allow performing some of the operations supported by nm-connection-editor and
nm-applet in a non-graphical environment.

%package -n	%{libnm}
Summary:	Shared library for nm
Group:		System/Libraries

%description -n %{libnm}
Shared library for nm.

%package -n	%{libnm_devel}
Summary:	Development files for nm
Group:		Development/C
Provides:	libnm-devel = %{version}-%{release}
Requires:	%{nm_gi} = %{version}-%{release}
Conflicts:	%{name} < 1.6.0-10
Conflicts:	%{_lib}nm-glib-devel < 1.6.0-10

%description -n %{libnm_devel}
Development files for nm.

%package -n	%{libnm_util}
Summary:	Shared library for nm-util
Group:		System/Libraries

%description -n %{libnm_util}
Shared library for nm-util.

%package -n	%{nm_gi}
Summary:	GObject Introspection interface library for NM
Group:		System/Libraries
Requires:	%{libnm} = %{version}-%{release}

%description -n %{nm_gi}
GObject Introspection interface library for NM.

%package -n	%{networkmanager_gi}
Summary:	GObject Introspection interface library for NetworkManager
Group:		System/Libraries
Requires:	%{libnm_util} = %{version}-%{release}
Conflicts:	%{nm_gi} < 1.6.0-10

%description -n %{networkmanager_gi}
GObject Introspection interface library for NetworkManager.

%package -n	%{libnm_util_devel}
Summary:	Development files for nm-util
Group:		Development/C
Provides:	libnm-util-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	NetworkManager-devel = %{version}-%{release}
Requires:	%{libnm_util} = %{version}-%{release}
Requires:	%{networkmanager_gi} = %{version}-%{release}
Requires:	%{libnm_devel} = %{version}-%{release}
Conflicts:	%{name} < 1.6.0-10
Conflicts:	%{_lib}nm-glib-devel < 1.6.0-10

%description -n %{libnm_util_devel}
Development files for nm-util.

%package -n	%{libnm_glib}
Summary:	Shared library for nm-glib
Group:		System/Libraries

%description -n	%{libnm_glib}
This package contains the libraries that make it easier to use some
NetworkManager functionality from applications that use glib.

%package -n	%{nmclient_gi}
Summary:	GObject Introspection interface library for NMClient
Group:		System/Libraries
Requires:	%{libnm_glib} = %{version}-%{release}

%description -n %{nmclient_gi}
GObject Introspection interface library for NMClient.

%package -n	%{libnm_glib_devel}
Summary:	Development files for nm-glib
Group:		Development/C
Provides:	libnm-glib-devel = %{version}-%{release}
Provides:	NetworkManager-glib-devel = %{version}-%{release}
Requires:	%{libnm_glib} = %{version}-%{release}
Requires:	%{nmclient_gi} = %{version}-%{release}
# /usr/include/libnm-glib/nm-client.h #includes nm-vpn-connection.h
# which is in libnm-glib-vpn-devel pkg
Requires:	pkgconfig(libnm-glib-vpn) = %{version}-%{release}
Conflicts:	%{name} < 1.6.0-10

%description -n %{libnm_glib_devel}
Development files for nm-glib.

%package -n	%{libnm_glib_vpn}
Summary:	Shared library for nm-glib-vpn
Group:		System/Libraries

%description -n	%{libnm_glib_vpn}
This package contains the libraries that make it easier to use some
NetworkManager VPN functionality from applications that use glib.

%package -n	%{libnm_glib_vpn_devel}
Summary:	Development files for nm-glib-vpn
Group:		Development/C
Provides:	libnm-glib-vpn-devel = %{version}-%{release}
Requires:	%{libnm_glib_vpn} = %{version}-%{release}

%description -n %{libnm_glib_vpn_devel}
Development files for nm-glib-vpn.

%prep
%setup -q -n %{rname}-%{version}
%autopatch -p1

%build
#AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
%configure2_5x	\
	--docdir=%{_defaultdocdir}/%{name} \
	--disable-static \
	--enable-concheck \
	--enable-gtk-doc \
	--enable-introspection \
	--enable-more-warnings=yes \
	--enable-teamdctl \
	--with-config-dhcp-default=internal \
	--with-crypto=nss \
	--with-dhclient=/sbin/dhclient \
	--with-dhcpcd=/sbin/dhcpcd \
	--with-dhcpcd-supports-ipv6=yes \
	--with-distro=mandriva \
	--with-libaudit=yes-disabled-by-default \
	--with-modem-manager-1 \
	--with-nmtui=yes \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_ver} \
	--with-resolvconf=yes \
	--with-selinux=no \
	--with-session-tracking=systemd \
	--with-system-ca-path=/etc/pki/tls/certs \
	--with-tests=yes
%make_build V=1

%install
%make_install

install -d %{buildroot}%{_libexecdir}
install -m755 %{SOURCE3} %{buildroot}%{_libexecdir}/

install -d %{buildroot}%{_sysconfdir}/%{rname}/conf.d/
cat > %{buildroot}%{_sysconfdir}/%{rname}/%{rname}.conf << EOF
[main]
plugins=ifcfg-rh,keyfile
dhcp=internal
EOF

# Create netprofile module
install -d %{buildroot}%{_sysconfdir}/netprofile/modules/
cat > %{buildroot}%{_sysconfdir}/netprofile/modules/01_networkmanager << EOF
# netprofile module
#
# this module contains settings for saving/restore the NetworkManager configuration
# in different network profiles

NAME="networkmanager"
DESCRIPTION="Networkmanager connection settings"

# list of files to be saved by netprofile
FILES="/etc/NetworkManager/"

# list of services to be restarted by netprofile
SERVICES="networkmanager"
EOF

chmod  755 %{buildroot}%{_sysconfdir}/netprofile/modules/01_networkmanager

# create a VPN directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/VPN

# create keyfile plugin system-settings directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/system-connections

install -d %{buildroot}%{_prefix}/lib/%{rname}/conf.d/
install -d %{buildroot}%{_localstatedir}/lib/%{rname}/
touch %{buildroot}%{_localstatedir}/lib/%{rname}/%{rname}-intern.conf

# create dir for dnsmasq configs
install -d %{buildroot}%{_sysconfdir}/%{rname}/dnsmasq.d/
install -d %{buildroot}%{_sysconfdir}/%{rname}/dnsmasq-shared.d/

# Add readme displayed by urpmi
cp %{SOURCE1} .

# provide networkmanager daemon via systemd as well
pushd %{buildroot}/%{_unitdir}
ln -s NetworkManager.service %{name}.service
popd

find %{buildroot} -name '*.la' -delete

%find_lang %{rname}

#post
# (cg) Do not enable NM by default. Doing so means that all configuration done
# via draknetcenter suddenly no longer applies if this package is installed
# on a running system. Likewise, configuration made during install might not
# apply either when booting which is again bad.
# Users can now enable NM in drakxservices and on reboot all interfaces will
# automatically flip over to NM. This behaviour is now deterministic and can
# be documented cleanly rather than the previous mess.
#%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{rname}.lang
%doc AUTHORS CONTRIBUTING ChangeLog NEWS README TODO
%doc README.urpmi
%doc %{_docdir}/%{name}/examples/server.conf
%doc %{_datadir}/gtk-doc/html/%{rname}/
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-dispatcher.conf
%{_sysconfdir}/dbus-1/system.d/nm-ifcfg-rh.conf
%dir %{_sysconfdir}/%{rname}/
%config(noreplace) %{_sysconfdir}/%{rname}/NetworkManager.conf
%dir %{_sysconfdir}/%{rname}/conf.d/
%dir %{_sysconfdir}/%{rname}/dispatcher.d/
%dir %{_sysconfdir}/%{rname}/dnsmasq.d/
%dir %{_sysconfdir}/%{rname}/dnsmasq-shared.d/
%dir %{_sysconfdir}/%{rname}/system-connections/
%dir %{_sysconfdir}/%{rname}/VPN/
%{_sysconfdir}/netprofile/modules/01_networkmanager
%{_sbindir}/%{rname}
%{_bindir}/nmcli
%{_bindir}/nm-online
%{_libexecdir}/nm-dispatcher
%{_libexecdir}/nm-dhcp-helper
%{_libexecdir}/nm-iface-helper
%{_libexecdir}/nm-poke-nscd
%{_mandir}/man1/*.1*
%exclude %{_mandir}/man1/nmtui*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man7/*.7*
%{_mandir}/man8/*.8*
%dir %{_libdir}/%{rname}/
%{_libdir }/%{rname}/libnm-settings-plugin-ibft.so
%{_libdir }/%{rname}/libnm-settings-plugin-ifcfg-rh.so
%dir %{_prefix}/lib/%{rname}/
%dir %{_prefix}/lib/%{rname}/conf.d/
%dir %{_localstatedir}/lib/%{rname}/
%ghost %{_localstatedir}/lib/%{rname}/%{rname}-intern.conf
%{_udevrulesdir}/*.rules
%{_unitdir}/NetworkManager.service
%{_unitdir}/networkmanager.service
%{_unitdir}/NetworkManager-wait-online.service
%{_unitdir}/NetworkManager-dispatcher.service
%{_datadir}/dbus-1/system-services/org.freedesktop.NetworkManager.service
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.NetworkManager.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.NetworkManager.*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.NetworkManager.policy
%{_datadir}/bash-completion/completions/nmcli

%files adsl
%{_libdir}/%{rname}/libnm-device-plugin-adsl.so

%files bluetooth
%{_libdir}/%{rname}/libnm-device-plugin-bluetooth.so

%files team
%{_libdir}/%{rname}/libnm-device-plugin-team.so

%files wifi
%{_libdir}/%{rname}/libnm-device-plugin-wifi.so

%files wwan
%{_libdir}/%{rname}/libnm-device-plugin-wwan.so
%{_libdir}/%{rname}/libnm-wwan.so

%files ppp
%{_libdir}/pppd/%{ppp_ver}/nm-pppd-plugin.so
%{_libdir}/%{rname}/libnm-ppp-plugin.so

%files tui
%{_bindir}/nmtui
%{_bindir}/nmtui-connect
%{_bindir}/nmtui-edit
%{_bindir}/nmtui-hostname
%{_mandir}/man1/nmtui*.1*

%files -n %{libnm}
%{_libdir}/libnm.so.%{major_nm}{,.*}

%files -n %{libnm_glib}
%{_libdir}/libnm-glib.so.%{major_glib}{,.*}

%files -n %{libnm_glib_vpn}
%{_libdir}/libnm-glib-vpn.so.%{major_glib_vpn}{,.*}

%files -n %{libnm_util}
%{_libdir}/libnm-util.so.%{major_util}{,.*}

%files -n %{nmclient_gi}
%{_libdir}/girepository-1.0/NMClient-%{gimajor_nmclient}.typelib

%files -n %{nm_gi}
%{_libdir}/girepository-1.0/NM-%{gimajor_nm}.typelib

%files -n %{networkmanager_gi}
%{_libdir}/girepository-1.0/NetworkManager-%{gimajor_nm}.typelib

%files -n %{libnm_devel}
%doc %{_datadir}/gtk-doc/html/libnm/
%dir %{_includedir}/libnm
%{_includedir}/libnm/*.h
%{_libdir}/pkgconfig/libnm.pc
%{_libdir}/libnm.so
%{_datadir}/gir-1.0/NM-1.0.gir
%{_datadir}/vala/vapi/libnm.deps
%{_datadir}/vala/vapi/libnm.vapi

%files -n %{libnm_util_devel}
%doc %{_datadir}/gtk-doc/html/libnm-util/
%dir %{_includedir}/%{rname}
%{_includedir}/%{rname}/*.h
%{_libdir}/pkgconfig/%{rname}.pc
%{_libdir}/pkgconfig/libnm-util.pc
%{_libdir}/libnm-util.so
%{_datadir}/gir-1.0/NetworkManager-1.0.gir
%{_datadir}/vala/vapi/libnm-util.deps
%{_datadir}/vala/vapi/libnm-util.vapi

%files -n %{libnm_glib_devel}
%doc %{_datadir}/gtk-doc/html/libnm-glib/
%dir %{_includedir}/libnm-glib
%exclude %{_includedir}/libnm-glib/nm-vpn*.h
%{_includedir}/libnm-glib/*.h
%{_libdir}/pkgconfig/libnm-glib.pc
%{_libdir}/libnm-glib.so
%{_datadir}/gir-1.0/NMClient-1.0.gir
%{_datadir}/vala/vapi/libnm-glib.deps
%{_datadir}/vala/vapi/libnm-glib.vapi

%files -n %{libnm_glib_vpn_devel}
%{_includedir}/libnm-glib/nm-vpn*.h
%{_libdir}/pkgconfig/libnm-glib-vpn.pc
%{_libdir}/libnm-glib-vpn.so


%changelog
* Wed Feb 07 2018 wally <wally> 1.8.6-1.mga6
+ Revision: 1199544
- new version 1.8.6 to fix segfault when trying to connect with bluetooth (mga#22531)
- backport upstream patches for proper fix to get search DNS option from DHCP (mga#21685)
- add patch from upstream to fix missing search domains provided by DHCP server when using internal DHCP client (mga#21685)

* Fri May 26 2017 ovitters <ovitters> 1.8.0-1.mga6
+ Revision: 1104726
- new version 1.8.0
- rediff patches

* Sat May 06 2017 luigiwalser <luigiwalser> 1.6.2-5.mga6
+ Revision: 1099316
- fix format security errors

* Thu Feb 23 2017 wally <wally> 1.6.2-4.mga6
+ Revision: 1087510
- drop conflicts for connman (connman isn't enabled by default anymore and README.urpmi was added to connman to explain to not enable connman and networkmanager at the same time)

* Sun Feb 19 2017 ovitters <ovitters> 1.6.2-3.mga6
+ Revision: 1086971
- add conflict on connman as it pretends to be NM (mga#20286)

* Sun Feb 19 2017 wally <wally> 1.6.2-2.mga6
+ Revision: 1086899
- move nmtui man pages to correct pkg
- split out device plugins
- require wifi device plugin by default and recommend others
- drop unneeded requires for mobile-broadband-provider-info
- create /etc/NetworkManager/dnsmasq-shared.d/

* Wed Feb 15 2017 ovitters <ovitters> 1.6.2-1.mga6
+ Revision: 1086303
- new version 1.6.2
- dropped merged patch 3

* Fri Feb 10 2017 wally <wally> 1.6.0-11.mga6
+ Revision: 1085508
- fix pppd plugin dir
- no need to require optional dnsmasq-base
- add some missing dirs/files

* Wed Feb 08 2017 wally <wally> 1.6.0-10.mga6
+ Revision: 1085153
- split out NetworkManager typelib
- move gir files to correct devel pkgs
- don't pkg libnm devel files twice
- tag gtk-docs as docs
- move docs under %%_docdir
- create /etc/NetworkManager/conf.d/

* Mon Feb 06 2017 wally <wally> 1.6.0-9.mga6
+ Revision: 1085040
- add patch from upstream to fix interpreting missing MAC_ADDRESS_RANDOMIZATION as permanent address with ifcfg-rh plugin
- rediff P11 (mga-wireless_essid.patch) to apply with upstream patch added

* Mon Feb 06 2017 wally <wally> 1.6.0-8.mga6
+ Revision: 1085008
- update P10 (discover-mac-address.patch) one more time

* Sun Feb 05 2017 wally <wally> 1.6.0-7.mga6
+ Revision: 1084858
- update P10 (discover-mac-address.patch)

* Sat Feb 04 2017 wally <wally> 1.6.0-6.mga6
+ Revision: 1084834
- use internal dhcp client by default
- drop dhcp-client requires

* Sat Feb 04 2017 wally <wally> 1.6.0-5.mga6
+ Revision: 1084828
- explicitly enable dhclient and dhcpcd support

* Sat Feb 04 2017 wally <wally> 1.6.0-4.mga6
+ Revision: 1084823
- add libaudit support (disabled by default)
- drop unneeded README-mdvplugin.urpmi file

* Sat Feb 04 2017 wally <wally> 1.6.0-3.mga6
+ Revision: 1084795
- bring back P10 (discover-mac-address.patch) also

* Sat Feb 04 2017 wally <wally> 1.6.0-2.mga6
+ Revision: 1084777
- bring back P11 (wireless_essid.patch) to see if it fixes wireless connection problems

* Sun Jan 29 2017 ovitters <ovitters> 1.6.0-1.mga6
+ Revision: 1084021
- new version 1.6.0
- dropped merged patch 2
- dropped merged patch 1

* Fri Dec 16 2016 ovitters <ovitters> 1.4.4-1.mga6
+ Revision: 1075589
- new version 1.4.4

* Sun Oct 02 2016 ovitters <ovitters> 1.4.2-1.mga6
+ Revision: 1058086
- new version 1.4.2

* Sun Aug 28 2016 ovitters <ovitters> 1.4.0-2.mga6
+ Revision: 1049320
- really enable dnsmasq support

* Thu Aug 25 2016 ovitters <ovitters> 1.4.0-1.mga6
+ Revision: 1048937
- new version 1.4.0

* Wed Aug 03 2016 ovitters <ovitters> 1.2.4-1.mga6
+ Revision: 1044405
- new version 1.2.4

* Tue Jun 07 2016 tv <tv> 1.2.2-2.mga6
+ Revision: 1020648
- adjust BRs for latest systemd

* Wed May 11 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1012929
- new version 1.2.2
- dropped merged patch 3

* Sat Apr 30 2016 tmb <tmb> 1.2.0-2.mga6
+ Revision: 1008344
- linux-platform: re-read the link type if the name changed

* Wed Apr 20 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1003823
- new version 1.2.0

* Tue Apr 12 2016 ovitters <ovitters> 1.1.94-1.mga6
+ Revision: 1000812
- new version 1.1.94

* Wed Apr 06 2016 ovitters <ovitters> 1.1.93-1.mga6
+ Revision: 998898
- new version 1.1.93

* Tue Mar 29 2016 wally <wally> 1.1.92-1.mga6
+ Revision: 996326
- new version 1.1.92
- drop DHCPv6 patch from upstream

  + ovitters <ovitters>
    - enable libreswan

  + luigiwalser <luigiwalser>
    - do not recommend networkmanager-openswan as it is not packaged

* Wed Mar 16 2016 wally <wally> 1.1.91-3.mga6
+ Revision: 992105
- add upstream patch to enable internal DHCPv6 client support
- drop useless P2 as we force resolvconf usage anyways

* Sun Mar 13 2016 wally <wally> 1.1.91-2.mga6
+ Revision: 990190
- rediff P11 to apply with --fuzz=0

* Sun Mar 13 2016 wally <wally> 1.1.91-1.mga6
+ Revision: 990156
- disable P2 for now
- new version 1.1.91
- rediff P11

* Thu Feb 11 2016 ovitters <ovitters> 1.1.90-1.mga6
+ Revision: 955798
- rediff patch (don't get the git instructions)
- new version 1.1.90

* Wed Dec 23 2015 ovitters <ovitters> 1.0.10-1.mga6
+ Revision: 913796
- new version 1.0.10

* Mon Nov 23 2015 ovitters <ovitters> 1.0.8-1.mga6
+ Revision: 905091
- new version 1.0.8

* Thu Aug 27 2015 ovitters <ovitters> 1.0.6-1.mga6
+ Revision: 870233
- new version 1.0.6

* Tue Jul 14 2015 ovitters <ovitters> 1.0.4-1.mga6
+ Revision: 854036
- new version 1.0.4

* Mon Jun 29 2015 wally <wally> 1.0.2-3.mga6
+ Revision: 847798
- add requires for gir pkg to devel pkg

* Mon May 11 2015 tmb <tmb> 1.0.2-2.mga5
+ Revision: 821736
- submit to release

* Wed May 06 2015 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 821350
- New version 1.0.2 with fixes to MGA#15862 .

* Thu Feb 19 2015 ovitters <ovitters> 1.0.0-4.mga5
+ Revision: 815854
- enable libteam support
- update description as it can now be used on servers as well

* Fri Feb 06 2015 ovitters <ovitters> 1.0.0-3.mga5
+ Revision: 813707
- add tui (text user interface) and recommend it
- enable concheck
- also recommend networkmanager-openswan
- improve text in the urpmi upgrade message

* Fri Feb 06 2015 ovitters <ovitters> 1.0.0-2.mga5
+ Revision: 813644
- recommend the networkmanager VPN packages l2tp,openconnect,openvpn,pptp,vpnc

* Thu Jan 29 2015 colin <colin> 1.0.0-1.mga5
+ Revision: 812687
- New version: 1.0.0
- Rediffed patches (MAC address discovery patch was broken for a year)
- Be more explicit with configure args (we may want to enable tui)
- Add new sub-packages for new libraries

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10.0-7.mga5
+ Revision: 750830
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.9.10.0-6.mga5
+ Revision: 724948
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10.0-5.mga5
+ Revision: 682866
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Thu Sep 04 2014 colin <colin> 0.9.10.0-4.mga5
+ Revision: 672063
- Rebuild for new systemd

* Thu Aug 28 2014 tv <tv> 0.9.10.0-3.mga5
+ Revision: 668947
- rebuild for new ppp

* Fri Jul 04 2014 ovitters <ovitters> 0.9.10.0-2.mga5
+ Revision: 643113
- update url

* Fri Jul 04 2014 ovitters <ovitters> 0.9.10.0-1.mga5
+ Revision: 643103
- new version 0.9.10.0

* Wed Jun 25 2014 ovitters <ovitters> 0.9.9.98-2.mga5
+ Revision: 639657
- disable use of --no-undefined as per advice upstream (bgo#732177)

* Wed Jun 25 2014 ovitters <ovitters> 0.9.9.98-1.mga5
+ Revision: 639519
- add patch to fix linking
- new version 0.9.9.98

  + dams <dams>
    - new version 0.9.8.9

* Tue Feb 11 2014 tv <tv> 0.9.9.0-0.1.mga5
+ Revision: 589409
- adjust file list
- adjust file list
- use system libndp
- new snapshot for gnome-3.11
- rediff patch 10
- drop merged patch 22

* Fri Feb 07 2014 doktor5000 <doktor5000> 0.9.8.8-4.mga5
+ Revision: 585149
- add upstream patch to not ping ModemManager every 2 minutes (mga#11725)

* Tue Jan 28 2014 colin <colin> 0.9.8.8-3.mga4
+ Revision: 568525
- Do not enable by default to allow use of draknetcenter OOTB but easy enabling if wanted

* Mon Oct 21 2013 umeabot <umeabot> 0.9.8.8-2.mga4
+ Revision: 541001
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 ovitters <ovitters> 0.9.8.8-1.mga4
+ Revision: 494818
- new version 0.9.8.8

* Mon Sep 30 2013 ovitters <ovitters> 0.9.8.6-1.mga4
+ Revision: 489620
- new version 0.9.8.6

* Wed Sep 18 2013 wally <wally> 0.9.8.4-3.mga4
+ Revision: 481301
- use pkgconfig() style require for dep added in previous release

* Wed Sep 18 2013 wally <wally> 0.9.8.4-2.mga4
+ Revision: 481291
- make libnm-glib-devel to require libnm-glib-vpn-devel

* Fri Sep 13 2013 ovitters <ovitters> 0.9.8.4-1.mga4
+ Revision: 478589
- new version 0.9.8.4

* Fri Aug 02 2013 sander85 <sander85> 0.9.8.2-2.mga4
+ Revision: 462643
- Enable ModemManager support (mga#10898)

* Wed Jun 26 2013 dams <dams> 0.9.8.2-1.mga4
+ Revision: 446679
- clean specfile
- update %%file for 'dispatcher' service

  + ovitters <ovitters>
    - new version 0.9.8.2

* Sat Feb 23 2013 tmb <tmb> 0.9.8.0-1.mga3
+ Revision: 400118
- update to 0.9.8.0 final

* Mon Jan 14 2013 colin <colin> 0.9.6.4-3.mga3
+ Revision: 386000
- Fix libexec dir
- Fix build by adjusting autoreconf call.
- Do not ship a /run/NetworkManager folder. It's not used under systemd.

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 ovitters <ovitters> 0.9.6.4-1.mga3
+ Revision: 310456
- new version 0.9.6.4

* Thu Aug 09 2012 tv <tv> 0.9.6.0-2.mga3
+ Revision: 280289
- drop sysv service

* Tue Aug 07 2012 ovitters <ovitters> 0.9.6.0-1.mga3
+ Revision: 279851
- new version 0.9.6.0

* Tue Jul 24 2012 ovitters <ovitters> 0.9.5.96-1.mga3
+ Revision: 274050
- make use of _unitdir macro
- update file list
- new version 0.9.5.96

* Fri Jun 29 2012 ovitters <ovitters> 0.9.5.95-1.mga3
+ Revision: 264901
- drop merged patches
- new version 0.9.5.95

* Mon Jun 11 2012 ovitters <ovitters> 0.9.4.0-5.mga3
+ Revision: 259822
- add upstream patch to build against recent kernels
- enable systemd for session tracking

* Sat Apr 28 2012 tmb <tmb> 0.9.4.0-4.mga2
+ Revision: 233816
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 sander85 <sander85> 0.9.4.0-3.mga2
+ Revision: 227857
- fix 'nmcli con' (https://bugzilla.redhat.com/show_bug.cgi?id=806664)

* Mon Apr 02 2012 colin <colin> 0.9.4.0-2.mga2
+ Revision: 227845
- Fix nscd deadlock when booting under systemd (mga#4509)

* Sat Mar 24 2012 ovitters <ovitters> 0.9.4.0-1.mga2
+ Revision: 226029
- add string format patch
- new version 0.9.4.0

* Mon Mar 19 2012 tmb <tmb> 0.9.3.997-2.mga2
+ Revision: 224511
- drop merged patches (P13, P50)
- build against libnl3

  + ovitters <ovitters>
    - new version 0.9.3.997
    - drop merged patch

* Tue Mar 06 2012 blino <blino> 0.9.3.995-3.mga2
+ Revision: 220666
- add back "discover mac address" patch, to fix handling of
  NM_CONTROLLED=no in ifcfg file
  (incorrectly dropped by fwang in r209998)
- add back "discover mac address" patch, to fix handling of
  NM_CONTROLLED=no in ifcfg file
  (incorrectly dropped by fwang in r209998)

* Mon Mar 05 2012 mitya <mitya> 0.9.3.995-2.mga2
+ Revision: 218275
- Fix NM startup bug (GNOME #671276, Mageia #4780)

* Fri Mar 02 2012 ovitters <ovitters> 0.9.3.995-1.mga2
+ Revision: 216949
- add upstream patch to fix the build
- new version 0.9.3.995
- simplify spec

* Sat Feb 18 2012 fwang <fwang> 0.9.3.990-1.mga2
+ Revision: 210390
- update file list
- drop merged patch
- new version 0.9.3.990

* Sat Nov 12 2011 fwang <fwang> 0.9.2.0-1.mga2
+ Revision: 166885
- new version 0.9.2.0

* Wed Sep 28 2011 ovitters <ovitters> 0.9.1.90-1.mga2
+ Revision: 149940
- add BR on pkgconfig(systemd)
- new version 0.9.1.90 (to fix mga#2857)

  + mikala <mikala>
    - Update tarball to final 0.9.0
    - use xz tarball since it's provided upstream
    - rediff patch11
    - autogen.sh is not needed anymore in %%prep section

  + blino <blino>
    - add Default-Stop LSB header in initscript (thanks rpmlint)
    - prefer ifcfg-rh plugin over keyfile
    - ifcfg-rh: read WIRELESS_ESSID from ifcfg files (else NM_CONTROLLED=no interfaces fail verify step, and are managed using keyfile plugin)
    - ifcfg-rh: guess mac address if not present in ifcfg file (adapted from ifcfg-mdv plugin)

* Sun Jul 17 2011 mikala <mikala> 0.8.9997-2.mga2
+ Revision: 125291
- Enable systemd support
- Save old README.urpmi as SOURCE2 ( currently the mdv plugin is not available)
- Update README.urpmi to explain how to enable networkmanager under systemd (not done automatically)

* Fri Jul 08 2011 cjw <cjw> 0.8.9997-1.mga2
+ Revision: 120221
- not a snapshot
- put gobject introspection typelib files in separate packages
- rebuild for automatic typelib deps and provides

  + mikala <mikala>
    - Remove obsolete from 2008.0
    - remove the ifcfg-mdv plugin since we're not providing it currently

* Tue Jun 14 2011 dmorgan <dmorgan> 0.8.9997-0.1.1.mga2
+ Revision: 106192
- Use autogen.sh
- New version 0.8.9997

* Tue Jun 14 2011 dmorgan <dmorgan> 0.8.999-0.1.1.mga2
+ Revision: 106128
- Add gobject-introspection-devel as buildrequires
- New version 0.8.999

* Thu May 12 2011 mikala <mikala> 0.8.4.0-5.mga1
+ Revision: 97431
- Remove comgt from requires (it should be pulled by initscripts now)

* Wed May 11 2011 mikala <mikala> 0.8.4.0-4.mga1
+ Revision: 97302
- Add comgt as a requires

* Wed May 04 2011 mikala <mikala> 0.8.4.0-3.mga1
+ Revision: 94764
- netprofile module need to be +x

* Wed May 04 2011 mikala <mikala> 0.8.4.0-2.mga1
+ Revision: 94551
- Add a netprofile module :
- a user using only the keyfile plugin for example can get a benefice of netprofile

* Thu Apr 21 2011 mikala <mikala> 0.8.4.0-1.mga1
+ Revision: 89442
- Update tarball to 0.8.4
- Update Readme.urpmi

* Thu Apr 14 2011 mikala <mikala> 0.8.3.999-1.mga1
+ Revision: 85243
- Update tarball to 0.8.4 rc2
- Sync mdv patch with mandriva's one

* Wed Mar 30 2011 mikala <mikala> 0.8.2-5.mga1
+ Revision: 79020
- Add keyfile plugin by default
- Use /etc/NetworkManager/NetworkManager.conf  as default configuration file
- Remove hal as BuildRequires

* Tue Jan 25 2011 dmorgan <dmorgan> 0.8.2-4.mga1
+ Revision: 39142
- Merge mdv commit 632509
- Disable systemd for now
- imported package networkmanager


* Sun Jan 16 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.8.2-4mdv2011.0
+ Revision: 631154
- Build with systemd by default.

* Sat Nov 20 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-3mdv2011.0
+ Revision: 599216
- update mdv patch
- require syslog, messagebus on startup/shutdown
- ifcfg-mdv ignored changed ifcfg file
- on startup all connections after first unmanaged interface were
  ignored (likely present in ifcfg-rh as well)

* Tue Nov 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-2mdv2011.0
+ Revision: 598014
- patch1: merge into ifcfg-mdv changes in ifcfg-rh since initial fork

* Fri Nov 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 593780
- 0.8.2 final

* Thu Nov 04 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.1.999-1mdv2011.0
+ Revision: 593120
- update to 0.8.2-rc
  remove patch3 (upstream)
  redo patch2 (source file is moved)
  redo patch1 (ifcfg-mdv)
  conditional systemd support build, currently disabled

  + Funda Wang <fwang@mandriva.org>
    - new verison 0.8.1

* Sat Jul 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.0.999-1mdv2011.0
+ Revision: 554744
- update patch0 (mdv patch)
- patch3: printf format fix
- update to 0.8.1-rc

* Mon Mar 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-3mdv2010.1
+ Revision: 513074
- update patch1 - support WPA2/EAP wireless security; no wireless.d yet

* Fri Feb 26 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-2mdv2010.1
+ Revision: 511440
- rebuild due to stuck package
- update patch0 - support for editing system connections (wired, WEP and WPA-PSK for now)
- new version

* Thu Feb 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.999-4mdv2010.1
+ Revision: 507449
- add README.urpmi
- update patch1
  add comment to spec to decsribe GIT usage and commit used to generate patch
- mark nm-system-settings.conf as %%config(noreplace)
- install directory for keyfile system-settings plugin

* Sun Feb 14 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.999-3mdv2010.1
+ Revision: 505900
- patch1: really add ifcfg-mdv and set it as default

* Mon Feb 08 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.7.999-2mdv2010.1
+ Revision: 502447
- Forgot to increase mkrel
- rebuild
- Added experimental patch from Eugeni to add support for a Mandriva backend.

  + Frederik Himpe <fhimpe@mandriva.org>
    - Fix summary and provides of libnm-glib-vpn-devel

* Fri Jan 22 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.999-1mdv2010.1
+ Revision: 495115
- Update to new version 0.7.999

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20100101.1mdv2010.1
+ Revision: 484900
- Update to new snapshot, build for new ppp

* Tue Nov 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091117.1mdv2010.1
+ Revision: 467052
- Update to new git snapshot
- Remove two patches integrated upstream

* Sun Nov 15 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.4mdv2010.1
+ Revision: 466263
- Add patch to make it use /var/lib/dhcp for the dhclient lease files

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.3mdv2010.1
+ Revision: 465515
- Fix libnm-glib-vpn-devel provides

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.2mdv2010.1
+ Revision: 465473
- Fix upgrade from previous versions

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.1mdv2010.1
+ Revision: 465463
- Fix Requires and BuildRequires
- Sync with Fedora 12:
  * Use new 07.996 snapshot
  * Add 2 Fedora patches
  * New Requires
- Underscores in library names have been replaces by dashes
- move libnm-glib-vpn to separate subpackage because it has a
  different major now
- Install nm-system-settings.conf to the default location, in order
  to not having to patch networkmanager
- Fix libnm-util libification by moving nm-ppd-plugin.so to
  networkmanager package

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.1-3mdv2010.0
+ Revision: 409343
- Updated buildrequires for libuuid.

* Tue Jun 09 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.1-2mdv2010.0
+ Revision: 384191
- Updated to 0.7.1

* Mon Mar 30 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.0.99-2mdv2009.1
+ Revision: 362254
- Fix bug 46945
- Fix bug 46945

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.0.99-1mdv2009.1
+ Revision: 349737
- New upstream release

* Mon Dec 01 2008 Funda Wang <fwang@mandriva.org> 0.7.0-3mdv2009.1
+ Revision: 308692
- really fix bug#46095

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.7.0-2mdv2009.1
+ Revision: 308479
- add more virtaul provides
- with-mdns-provider not recognized

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2009.1
+ Revision: 308360
- 0.7.0 final

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-0.3675.3mdv2009.0
+ Revision: 242459
- remove comment as well
- move autoreconf call to prep stage
- fix deps exceptions for 64 bit
- remove unused configure options
- update build deps

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-0.3675.2mdv2009.0
+ Revision: 242329
- add missing deps

* Wed Jun 18 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.0-0.3675.1mdv2009.0
+ Revision: 225776
- Changed a little bit the versionin scheme to enable use subversioning.
- Added the devel requires exceptions to allows installation of devel packages

* Tue Jun 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.5.svn3675mdv2009.0
+ Revision: 217721
- add buildroot
- revert previous changes that broke a lot of stuff
  * some cleanups and updating..

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1:0.7.0-0.9.3.svn3669.2mdv2009.0
+ Revision: 209082
- fix typo in Obsoletes tags

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1:0.7.0-0.9.3.svn3669.1mdv2009.0
+ Revision: 208864
- enable epoch
- sync with 0.7.0-0.9.3.svn3669.fc10
- change lib package names to match library names

* Tue Mar 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.4mdv2008.1
+ Revision: 188564
- d'oh, remove dhcdb from buildrequires
- new svn snapshot
- update mandriva backend (P2)
- build fedora nm-system-settings plugin
- enable avahi for mdns (fixes crash with NetworkManager due to no mdns)
- this release actually works :p

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 0.7.0-0.3mdv2008.1
+ Revision: 177393
- obsolete dhcdbd (obsoleted by NM >= 0.7.0)

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Fri Feb 08 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.2mdv2008.1
+ Revision: 164291
- fix problems with conflicts of -devel packages reported by blino

* Thu Feb 07 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.1mdv2008.1
+ Revision: 163655
- fix buildrequires
- New release: 0.7.0'ish (from svn, grabbed from suse)
- sync patches (P0 & P1) and much of structure with Fedora
- add Mandriva backend (P2)
- split out nm-applet
- cleanups

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.4-5mdv2007.0
+ Revision: 121928
- fix buildrequires
- patch2 fix compil with latest dbus

* Fri Sep 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-4mdv2007.0
- Add BuildRequire

* Sat Aug 05 2006 Olivier Blin <blino@mandriva.com> 0.6.4-3mdv2007.0
- Patch1: fix build for new dbus
- add libiw-devel BuildRequires and wireless-tools Requires

* Thu Jul 20 2006 Olivier Blin <blino@mandriva.com> 0.6.4-2mdv2007.0
- update icon cache

* Wed Jul 19 2006 Olivier Blin <blino@mandriva.com> 0.6.4-1mdv2007.0
- initial Mandriva release
- Patch0: fake include of <linux/if.h>

